#!/usr/bin/perl
use File::stat;

if ($ARGV[0] eq "--help"){
  print <<"HERE";

pkg-examine -- print package contents.

Written by Robert McIntyre. This software is free
software and is released to the public domain.
  
HERE
exit 0;
}

$" = " ";
$pkg_name = $ARGV[0];

`id -g $pkg_name 2>/dev/null`;
if (($pkg_name eq "") || $?){
    print "No group named $pkg_name.\n";
    exit 0;
}

@files = split(/\0/, `find /usr /opt /etc -group $pkg_name -print0`);


print "All files owned by this package:\n";
foreach (@files){print "   $_\n";}

print "SetUID/SetGID files:\n";
foreach $file(@files){

    $sb = stat($file);
    $mode = $sb->mode & 07777;
    if ($mode & 07000){
	printf "%s, %04o\n", $file, $mode;
    }
}

    



